| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::xfeatures2d::AffineFeature2D Class Referenceabstract
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class implementing affine adaptation for key points. More...

`#include "xfeatures2d.hpp"`

Inheritance diagram for cv::xfeatures2d::AffineFeature2D:

## Public Member Functions
virtual void | detect (InputArray image, std::vector< Elliptic_KeyPoint > &keypoints, InputArray mask=noArray())=0
| Detects keypoints in the image using the wrapped detector and performs affine adaptation to augment them with their elliptic regions. More...
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< Elliptic_KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)=0
| Detects keypoints and computes descriptors for their surrounding regions, after warping them into circles. More...
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const
| Return true if detector object is empty. More...
virtual String | getDefaultName () const
void | read (const String &fileName)
virtual void | read (const FileNode &)
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< AffineFeature2D > | create (Ptr< FeatureDetector > keypoint_detector, Ptr< DescriptorExtractor > descriptor_extractor)
| Creates an instance wrapping the given keypoint detector and descriptor extractor. More...
static Ptr< AffineFeature2D > | create (Ptr< FeatureDetector > keypoint_detector)
| Creates an instance where keypoint detector and descriptor extractor are identical. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing affine adaptation for key points.

A FeatureDetector and a DescriptorExtractor are wrapped to augment the detected points with their affine invariant elliptic region and to compute the feature descriptors on the regions after warping them into circles.

The interface is equivalent to Feature2D, adding operations for Elliptic_KeyPoints instead of KeyPoints.

## Member Function Documentation

## § create() [1/2]

static Ptr<AffineFeature2D> cv::xfeatures2d::AffineFeature2D::create | ( | Ptr< FeatureDetector > | keypoint_detector,
|  | Ptr< DescriptorExtractor > | descriptor_extractor
| ) |  |
| static

Creates an instance wrapping the given keypoint detector and descriptor extractor.

## § create() [2/2]

static Ptr<AffineFeature2D> cv::xfeatures2d::AffineFeature2D::create | ( | Ptr< FeatureDetector > | keypoint_detector | ) |
| inline static

Creates an instance where keypoint detector and descriptor extractor are identical.

## § detect()

virtual void cv::xfeatures2d::AffineFeature2D::detect | ( | InputArray | image,
|  | std::vector< Elliptic_KeyPoint > & | keypoints,
|  | InputArray | mask = `noArray()`
| ) |  |
| pure virtual

Detects keypoints in the image using the wrapped detector and performs affine adaptation to augment them with their elliptic regions.

## § detectAndCompute()

virtual void cv::xfeatures2d::AffineFeature2D::detectAndCompute | ( | InputArray | image,
|  | InputArray | mask,
|  | std::vector< Elliptic_KeyPoint > & | keypoints,
|  | OutputArray | descriptors,
|  | bool | useProvidedKeypoints = `false`
| ) |  |
| pure virtual

Detects keypoints and computes descriptors for their surrounding regions, after warping them into circles.

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/xfeatures2d/include/opencv2/xfeatures2d.hpp